DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# DistributionSort

Sort a block of data

## SYNOPSIS

`#include "dip_sort.h"`

dip_Error dip_DistributionSort ( data, size, dataType )

## FUNCTION

Sorts a block of data (of size `size` and data type `dataType` ) using the distribution sort algorithm.

## ARGUMENTS

Data type | Name | Description
`void *` | `data` | Data
`dip_int` | `size` | Size
`dip_DataType` | `dataType` | Data type. See DIPlib's data types

## SEE ALSO

General information about sorting

`DistributionSortIndices`, `DistributionSortIndices16`, `Sort`, `ImageSort`, `SortIndices`, `SortIndices16`, `ImageSortIndices`

DIPlib on-line documentation | Function reference | Global function index